IntelliCAD 11.1 Object Library | |
AddEllipse Method | |
See Also |
- Center
- A Point object representing the center of the ellipse.
- MajorAxis
- A Vector object representing the orientation of the major axis (the line which defines the longest distance across an ellipse, from one end to the other).
- RadiusRatio
- A double-precision variable or number defining the major to minor axis ratio of an ellipse. A radius ratio of 1.0 defines a circle.
ModelSpace Collection : AddEllipse Method |
Description
Adds an ellipse given the center, major axis and the radius ratio.
Syntax
Parameters
- Center
- A Point object representing the center of the ellipse.
- MajorAxis
- A Vector object representing the orientation of the major axis (the line which defines the longest distance across an ellipse, from one end to the other).
- RadiusRatio
- A double-precision variable or number defining the major to minor axis ratio of an ellipse. A radius ratio of 1.0 defines a circle.
Example
Private Sub AddEllipseExample()
' This example creates an ellipse and adds it to the drawing using the
' AddEllipse method.
Dim icadDoc As Document
Dim myEllipse As Ellipse
Dim Pt1 As Point
Dim Vect1 As Vector
Set icadDoc = ActiveDocument
Set Pt1 = Library.CreatePoint(3, 4)
Set Vect1 = Library.CreateVector(0, 0, 0, 1, 1, 0)
Set myEllipse = icadDoc.ModelSpace.AddEllipse(Pt1, Vect1, 4)
'Add the ellipse to the .dwg
' Display the entity
myEllipse.Update
MsgBox "Ellipse created w/ major/minor axis ratio of 4."
ThisDocument.Application.ZoomExtents
End Sub